org.modeshape.jcr.value.basic

## Class StringValueFactory

- java.lang.Object
- - org.modeshape.jcr.value.basic.AbstractValueFactory<String>
  - - org.modeshape.jcr.value.basic.StringValueFactory

- All Implemented Interfaces:
    StringFactory, ValueFactory<String>

      @Immutable
      public final class StringValueFactory
      extends AbstractValueFactory<String>
      implements StringFactory

  The standard `ValueFactory` for `PropertyType.STRING` values.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.modeshape.jcr.value.basic.AbstractValueFactory

      `AbstractValueFactory.ConvertingIterator<ValueType>`

  - ### Field Summary

    - ### Fields inherited from class org.modeshape.jcr.value.basic.AbstractValueFactory

      `decoder, propertyType, valueFactories`

    - ### Fields inherited from interface org.modeshape.jcr.value.ValueFactory

      `DEFAULT_DECODER, DEFAULT_ENCODER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringValueFactory(NamespaceRegistry.Holder namespaceRegistryHolder, TextDecoder decoder, TextEncoder encoder)`
    `StringValueFactory(TextDecoder decoder, TextEncoder encoder)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `create(BigDecimal value)` Create a value from a decimal.
    `String` | `create(BinaryValue value)` Create a value from the binary content given by the supplied stream.
    `String` | `create(boolean value)` Create a boolean from a string.
    `String` | `create(byte[] value)` Create a value from the binary content given by the supplied array.
    `String` | `create(Calendar value)` Create a value from a Calendar instance.
    `String` | `create(Date value)` Create a value from a date.
    `String` | `create(DateTime value)` Create a value from a date-time instant.
    `String` | `create(double value)` Create a value from a double.
    `String` | `create(float value)` Create a value from a float.
    `String` | `create(InputStream stream)` Create a value from the binary content given by the supplied stream.
    `String` | `create(int value)` Create a value from an integer.
    `String` | `create(long value)` Create a long from a string.
    `String` | `create(Name value)` Create a value from a name.
    `String` | `create(NodeKey value)` Create a value from a `NodeKey`.
    `String` | `create(Path.Segment value)` Create a value from a path segment.
    `String` | `create(Path value)` Create a value from a path.
    `String` | `create(Reference value)` Create a value from a reference.
    `String` | `create(String value)` Create a value from a string, using no decoding.
    `String` | `create(String value, TextDecoder decoder)` Create a value from a string, using the supplied decoder.
    `String` | `create(URI value)` Create a value from a URI.
    `String` | `create(UUID value)` Create a value from a UUID.
    `String[]` | `createEmptyArray(int length)` Creates an empty array of the given type.
    `TextEncoder` | `getEncoder()`
    `protected StringFactory` | `getStringValueFactory()`
    `StringFactory` | `with(NamespaceRegistry.Holder namespaceRegistryHolder)` Return a potentially new copy of this factory that uses the supplied `NamespaceRegistry.Holder` object.
    `StringFactory` | `with(ValueFactories valueFactories)` Return a potentially new copy of this factory that uses the supplied ValueFactories object.

    - ### Methods inherited from class org.modeshape.jcr.value.basic.AbstractValueFactory

      `create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, getDecoder, getDecoder, getPropertyType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.modeshape.jcr.value.ValueFactory

      `create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, getPropertyType`

- - ### Constructor Detail

    - #### StringValueFactory

          public StringValueFactory(TextDecoder decoder,
                            TextEncoder encoder)

    - #### StringValueFactory

          public StringValueFactory(NamespaceRegistry.Holder namespaceRegistryHolder,
                            TextDecoder decoder,
                            TextEncoder encoder)

  - ### Method Detail

    - #### with

          public StringFactory with(ValueFactories valueFactories)

      Description copied from interface: `ValueFactory`
      Return a potentially new copy of this factory that uses the supplied ValueFactories object.
      Specified by:
        `with` in interface `StringFactory`
      Specified by:
        `with` in interface `ValueFactory<String>`
      Parameters:
        `valueFactories` - the value factories object; may not be null
      Returns:
        the factory, which may be a new instance or may be this object if the supplied value factories is the same as used by this factory; never null

    - #### with

          public StringFactory with(NamespaceRegistry.Holder namespaceRegistryHolder)

      Description copied from interface: `StringFactory`
      Return a potentially new copy of this factory that uses the supplied `NamespaceRegistry.Holder` object.
      Specified by:
        `with` in interface `StringFactory`
      Parameters:
        `namespaceRegistryHolder` - the holder of the namespace registry; may not be null
      Returns:
        the factory, which may be a new instance or may be this object if the supplied namespace registry holder is the same as used by this factory; never null

    - #### getEncoder

          public TextEncoder getEncoder()

      Returns:
        encoder

    - #### getStringValueFactory

          protected StringFactory getStringValueFactory()

      Overrides:
        `getStringValueFactory` in class `AbstractValueFactory<String>`
      Returns:
        stringValueFactory

    - #### create

          public String create(String value)

      Description copied from interface: `ValueFactory`
      Create a value from a string, using no decoding.
      Specified by:
        `create` in interface `ValueFactory<String>`
      Parameters:
        `value` - the string from which the value is to be created
      Returns:
        the value, or null if the supplied string is null
      See Also:
        `ValueFactory.create(String, TextDecoder)`

    - #### create

          public String create(String value,
                      TextDecoder decoder)

      Description copied from interface: `ValueFactory`
      Create a value from a string, using the supplied decoder.
      Specified by:
        `create` in interface `ValueFactory<String>`
      Parameters:
        `value` - the string from which the value is to be created
        `decoder` - the decoder that should be used; if null, the `default decoder` is used
      Returns:
        the value, or null if the supplied string is null
      See Also:
        `ValueFactory.create(String)`

    - #### create

          public String create(int value)

      Description copied from interface: `ValueFactory`
      Create a value from an integer.
      Specified by:
        `create` in interface `ValueFactory<String>`
      Parameters:
        `value` - the integer from which the value is to be created
      Returns:
        the value; never null

    - #### create

          public String create(long value)

      Description copied from interface: `ValueFactory`
      Create a long from a string.
      Specified by:
        `create` in interface `ValueFactory<String>`
      Parameters:
        `value` - the string from which the long is to be created
      Returns:
        the value; never null

    - #### create

          public String create(boolean value)

      Description copied from interface: `ValueFactory`
      Create a boolean from a string.
      Specified by:
        `create` in interface `ValueFactory<String>`
      Parameters:
        `value` - the boolean from which the value is to be created
      Returns:
        the value; never null

    - #### create

          public String create(float value)

      Description copied from interface: `ValueFactory`
      Create a value from a float.
      Specified by:
        `create` in interface `ValueFactory<String>`
      Parameters:
        `value` - the float from which the value is to be created
      Returns:
        the value; never null

    - #### create

          public String create(double value)

      Description copied from interface: `ValueFactory`
      Create a value from a double.
      Specified by:
        `create` in interface `ValueFactory<String>`
      Parameters:
        `value` - the double from which the value is to be created
      Returns:
        the value; never null

    - #### create

          public String create(BigDecimal value)

      Description copied from interface: `ValueFactory`
      Create a value from a decimal.
      Specified by:
        `create` in interface `ValueFactory<String>`
      Parameters:
        `value` - the decimal from which the value is to be created
      Returns:
        the value, or null if the supplied decimal is null

    - #### create

          public String create(Calendar value)

      Description copied from interface: `ValueFactory`
      Create a value from a Calendar instance.
      Specified by:
        `create` in interface `ValueFactory<String>`
      Parameters:
        `value` - the Calendar instance from which the value is to be created
      Returns:
        the value, or null if the supplied Calendar is null

    - #### create

          public String create(Date value)

      Description copied from interface: `ValueFactory`
      Create a value from a date.
      Specified by:
        `create` in interface `ValueFactory<String>`
      Parameters:
        `value` - the date from which the value is to be created
      Returns:
        the value, or null if the supplied date is null

    - #### create

          public String create(DateTime value)
                        throws ValueFormatException

      Description copied from interface: `ValueFactory`
      Create a value from a date-time instant.
      Specified by:
        `create` in interface `ValueFactory<String>`
      Parameters:
        `value` - the date-time instant from which the value is to be created
      Returns:
        the value, or null if the supplied date is null
      Throws:
        `ValueFormatException` - if the conversion from a Date could not be performed

    - #### create

          public String create(Name value)

      Description copied from interface: `ValueFactory`
      Create a value from a name.
      Specified by:
        `create` in interface `ValueFactory<String>`
      Parameters:
        `value` - the name from which the value is to be created
      Returns:
        the value, or null if the supplied name is null

    - #### create

          public String create(Path value)

      Description copied from interface: `ValueFactory`
      Create a value from a path.
      Specified by:
        `create` in interface `ValueFactory<String>`
      Parameters:
        `value` - the path from which the value is to be created
      Returns:
        the value, or null if the supplied path is null

    - #### create

          public String create(Path.Segment value)

      Description copied from interface: `ValueFactory`
      Create a value from a path segment.
      Specified by:
        `create` in interface `ValueFactory<String>`
      Parameters:
        `value` - the path segment from which the value is to be created
      Returns:
        the value, or null if the supplied path segment is null

    - #### create

          public String create(Reference value)

      Description copied from interface: `ValueFactory`
      Create a value from a reference.
      Specified by:
        `create` in interface `ValueFactory<String>`
      Parameters:
        `value` - the reference from which the value is to be created
      Returns:
        the value, or null if the supplied reference is null

    - #### create

          public String create(URI value)

      Description copied from interface: `ValueFactory`
      Create a value from a URI.
      Specified by:
        `create` in interface `ValueFactory<String>`
      Parameters:
        `value` - the URI from which the value is to be created
      Returns:
        the value, or null if the supplied URI is null

    - #### create

          public String create(UUID value)
                        throws IoException

      Description copied from interface: `ValueFactory`
      Create a value from a UUID.
      Specified by:
        `create` in interface `ValueFactory<String>`
      Parameters:
        `value` - the UUID from which the value is to be created
      Returns:
        the value, or null if the supplied URI is null
      Throws:
        `IoException`

    - #### create

          public String create(NodeKey value)
                        throws ValueFormatException

      Description copied from interface: `ValueFactory`
      Create a value from a `NodeKey`.
      Specified by:
        `create` in interface `ValueFactory<String>`
      Parameters:
        `value` - the node key from which the value is to be created
      Returns:
        the value, or null if the supplied URI is null
      Throws:
        `ValueFormatException` - if the conversion from a NodeKey could not be performed

    - #### create

          public String create(byte[] value)

      Description copied from interface: `ValueFactory`
      Create a value from the binary content given by the supplied array.
      Specified by:
        `create` in interface `ValueFactory<String>`
      Parameters:
        `value` - the content to be used to create the value
      Returns:
        the value, or null if the supplied stream is null

    - #### create

          public String create(BinaryValue value)
                        throws ValueFormatException,
                               IoException

      Description copied from interface: `ValueFactory`
      Create a value from the binary content given by the supplied stream.
      Specified by:
        `create` in interface `ValueFactory<String>`
      Parameters:
        `value` - the binary object to be used to create the value
      Returns:
        the value, or null if the supplied stream is null
      Throws:
        `ValueFormatException` - if the conversion from the binary object could not be performed
        `IoException` - If an unexpected problem occurs while accessing the supplied binary value (such as an `IOException`).

    - #### create

          public String create(InputStream stream)
                        throws IoException

      Description copied from interface: `ValueFactory`
      Create a value from the binary content given by the supplied stream.
      Specified by:
        `create` in interface `ValueFactory<String>`
      Parameters:
        `stream` - the stream containing the content to be used to create the value
      Returns:
        the value, or null if the supplied stream is null
      Throws:
        `IoException` - If an unexpected problem occurs while accessing the supplied stream (such as an `IOException`).

    - #### createEmptyArray

          public String[] createEmptyArray(int length)

      Description copied from interface: `ValueFactory`
      Creates an empty array of the given type.
      Specified by:
        `createEmptyArray` in interface `ValueFactory<String>`
      Parameters:
        `length` - the length of the array; must be a positive value
      Returns:
        an empty array of the given length.

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.